{"id":23652,"date":"2020-07-03T15:22:18","date_gmt":"2020-07-03T14:22:18","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=23652"},"modified":"2023-07-19T11:28:25","modified_gmt":"2023-07-19T10:28:25","slug":"query-data-table-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/query-data-table-api\/","title":{"rendered":"Query Data (Table) API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp; Used to get data from Data Table.<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>POST<\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/tables\/{{tableName}}\/query?sys_limit={{limit_value}}&amp;sys_offset={{offset_value}}<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"new window\" rel=\"noopener noreferrer\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>App Access<\/b><\/td>\n<td>\n<p>Read access to the Data Table from the Data Definition in DaaS.<\/p>\n<p>For more information, see <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/advanced-topics\/data-table\/#Assignments\" target=\"new window\" rel=\"noopener noreferrer\">app assignment for accessing the data in a table <\/a> and <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/advanced-topics\/data-as-a-service\/#Assignments\" target=\"new window\" rel=\"noopener noreferrer\">Data as a Service <\/a> articles.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400\">host<\/span><\/td>\n<td><span style=\"font-weight: 400\"><span style=\"font-weight: 400\">Environment URL, for example, <code>https:\/\/bots.kore.ai<\/code><\/span><br \/>\n<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\">tableName<\/span><\/td>\n<td><span style=\"font-weight: 400\">Name of the Table to fetch data<\/span><\/td>\n<\/tr>\n<tr>\n<td>sys_limit<\/td>\n<td><span style=\"font-weight: 400\">The maximum number of records to be fetched.<br \/>\nBy default this is set to 10 and the maximum allowed is 100.<\/span><\/td>\n<\/tr>\n<tr>\n<td>sys_offset<\/td>\n<td><span style=\"font-weight: 400\">The number of records to be skipped from the beginning of the results dataset.<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X POST \\\r\n  'https:\/\/{{host}}\/api\/public\/tables\/{{tableName}}\/query?sys_limit=4&sys_offset=0' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n  -H 'content-type: application\/json' \\\r\n  -d '{\r\n      \"query\":{\r\n \t\"expressions\": [\r\n        \t{\"field\": \"firstName\", \"operand\": \"=\", \"value\": \"Jane\"},\r\n\t\t{\"field\": \"lastName\", \"operand\": \"=\", \"value\": \"Doe\"}\r\n\t\t],\r\n\t\t\"operator\": \"or\"\r\n\t   }\r\n}'<\/pre>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>query<\/td>\n<td>\n<p>Filter criteria identifying the rows to be fetched<\/p>\n<pre>\u00a0\"query\":{\r\n\t\"expressions\": [\r\n\t   {\"field\": \"&lt;col1_name&gt;\", \"operand\": \"=\/!=\/&lt;\/&gt;\", \"value\": \"&lt;value1&gt;\"},\r\n\t   {\"field\": \"&lt;col2_name&gt;\", \"operand\": \"=\/!=\/&lt;\/&gt;\", \"value\": \"&lt;value2&gt;\"}\r\n\t],\r\n\t\"operator\": \"and\/or\"\r\n\t   }<\/pre>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>{\r\n    \"hasMore\": true,\r\n    \"total\": 2,\r\n      \"metaInfo\": [\r\n        {\r\n            \"name\": \"gender\",\r\n            \"type\": \"string\"\r\n        },\r\n        {\r\n            \"name\": \"lastName\",\r\n            \"type\": \"string\"\r\n        }\r\n    ],\r\n    \"queryResult\": [\r\n        {\r\n            \"age\": male,\r\n            \"last_name\":tony,\r\n        }\r\n    ]\r\n}\r\n<\/pre>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"&nbsp; Used to get data from Data Table. Method POST Endpoint https:\/\/{{host}}\/api\/public\/tables\/{{tableName}}\/query?sys_limit={{limit_value}}&amp;sys_offset={{offset_value}} Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. App Access Read access to the Data Table from the Data Definition in DaaS. For more information, see app assignment for accessing the data in a table and Data as...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-23652","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23652","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=23652"}],"version-history":[{"count":9,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23652\/revisions"}],"predecessor-version":[{"id":57968,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23652\/revisions\/57968"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=23652"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=23652"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=23652"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}